Issue 59890 - [meta] Error loading basic of document
[meta] Error loading basic of document
Status: ACCEPTED
Product: General
Classification: Code
Component: code
OOo 2.0
All All
: P3 trivial (vote)
: AOO Later
Assigned To: ab
:
: 54655 54822 56213 56914 58534 89207 91680 91832 104640 108694 109155 109906 (view as issue list)
Depends on:
Blocks: 81913
  Show dependency treegraph
 
Reported: 2005-12-30 12:59 UTC by joerg.skottke
Modified: 2013-02-07 21:57 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description joerg.skottke 2005-12-30 12:59:28 UTC
This is a general catch all for any "Error loading Basic of document" errormessages.

The message is displayed when an OOo 1.x has been upgraded to OOo 2.x. In this
case the path to the basic scripts is unchanged pointing to the "invalid" old
installation directory of the 1.x version. 

The "clean" solution is to completely removing the 1.x installation before
installing the new 2.x.
Comment 1 joerg.skottke 2005-12-30 13:01:40 UTC
setting target OOo later, starting to add duplicates.
Comment 2 joerg.skottke 2005-12-30 13:03:38 UTC
*** Issue 58534 has been marked as a duplicate of this issue. ***
Comment 3 joerg.skottke 2005-12-30 13:24:11 UTC
*** Issue 54822 has been marked as a duplicate of this issue. ***
Comment 4 joerg.skottke 2005-12-30 13:28:13 UTC
oh my, more still: 
issue #51943
issue #54655
Comment 5 joerg.skottke 2005-12-30 13:31:39 UTC
*** Issue 56914 has been marked as a duplicate of this issue. ***
Comment 6 ab 2006-05-22 12:24:46 UTC
Not sure if we need such a meta bug...
Anyway -> STARTED
Comment 7 joerg.skottke 2006-08-08 06:20:51 UTC
jsk->ab: We use meta-bugs inside QA to track multiple similar issues, to make it
easier to get an overview. For you it probably makes more sense to handle the
individual tasks.
Comment 8 mhrichter 2007-09-24 20:50:47 UTC
I made the mistake of saying to upgrade from OO 1.1 on my initial install, and
this error pops up every time I run an OO command for the first time.  I do not
have OO 1.1 on my system, and I have eliminated every trace of it that I can
find (it was there under CentOS 4.4, which I reinstalled as CentOS 5.0 clean),
and this error still occurs.

So a "clean removal followed by a clean install" does not work.

Have you considered adding code to detect if this error occurs and to reset
whatever settings allowed the code to execute in the first place to disable it?
 That seems like it should be a fairly simple fix, and this is a REALLY annoying
error.

Thanks.
Comment 9 mhrichter 2007-09-24 20:52:19 UTC
I forgot to mention:

1) I deleted 2.3 each time I tried this.

2) When I reinstalled 2.3, I was no longer given the option to upgrade from 1.1
or not.

Hope that helps.
Comment 10 ab 2007-09-25 07:30:40 UTC
ab->mhrichter: I don't consider removing a correct error message to be a fix,
it just covers the problem. You get the error message because there really
*is* an error. The real problem is to detect under which circumstances this
occurs, but until now we couldn't reproduce the scenario.

But it should be easy for you to fix this problem by hand. You did not mention
which error message you get exactly but I assume that the Office cannot find
a script.xlb and/or dialog.xlb file inside a library that does not exist (any more).
So please edit $UserInstallation/basic/script.xlc and dialog.xlc and remove the
entry for the missing library in each file. This should stop the error message.
Comment 11 pamasz 2008-01-19 10:40:10 UTC
I've upgraded from 2.2 to 2.3 and still get the a.m. error message. So far your 
suggestions don't work. The last one by OB sounds learned but is chinese to non-
experts like me. Can you elaborate? Please?
Comment 12 stevanwhite 2008-09-12 12:39:15 UTC
This remains a problem in OO 2.4.1.

For those afflicted, *every time* they launch OO, they get an alarming and
uninformative dialog.

Something should be done.  It makes your product look stupid and buggy.

I have finally fixed this on my own system, but going down the hall and asking,
found several other people with the same problem.  A little web search reveals
that people have this problem all the time, since around 2005.  I think a large
fraction of your users are affected.

Evidently, the problem arises when a previous version has been installed.

My system is Scientific Linux 5.2, but I have seen the same problem on other
versions, and it clearly also happens on Windows.

In my case, the error dialog said:
	Error loading BASIC of document
	file:///usr/lib/ooo-1.1/share/basic/WebWizard/script.xlb/:
	General Error.
	General input/output error.

Here is the work-around that worked for me:

Tools -> Macros -> Organize Dialogs...
	Libraries tab
		Location menu: "My Macros & Dialogs"
		Library menu: WebWizard

This shows the wrong path
	file:///usr/lib/ooo-1.1/share/basic/WebWizard/script.xlb/

There are files named "script.xlb" in the OpenOffice install directory,
but none associated with a "WebWizard".

So I deleted the problematic item.
Now OpenOffice Writer comes up cleanly.
Comment 13 ab 2008-09-15 08:51:13 UTC
*** Issue 89207 has been marked as a duplicate of this issue. ***
Comment 14 ab 2008-09-15 09:59:34 UTC
*** Issue 54655 has been marked as a duplicate of this issue. ***
Comment 15 ab 2008-09-15 10:48:11 UTC
As already mentioned in my comment from 25th September 2007 I simply don't
see what could be done here as the bug is probably located in some OOo 1.x
to OOo 2.0 Beta user data migration code. This cannot be fixed now, the 
problem is already there. And I simply refuse to remove correct error mes-
sages. This does not fix the initial problem, it just hides it and it will
also hide similar problems that may occur in the future.

Besides this I strongly doubt that there are a lot of affected users, it
does not even come close to a "large fraction". Reason: Only users are ef-
fected that still have a OOo 1.x user installation and try to migrate the
user data to a newer version. This problem will not occur with a clean
new installation after removing or renaming old user installation. Now
with the upcoming OOo 3.0 the mechanism of initialising the Basic/Dialog
libraries has been changed another time. Let's see if the problem still
occurs at all.

Additionally there is a not very elegant but easy enough workaround in
removing the wrong entries from the script.xlc and dialog.xlc files.

Seeing all this I don't think that any further effort is justified.
Comment 16 ab 2008-09-15 10:53:39 UTC
ab->pamasz: Sorry, somehow I've completely missed your comment or simply
forgot to answer. To give some more details: The problem is that two files
that are part of the user installation - for a unknown reason - contain
wrong entries pointing to a non existing library. Removing these entries
manually solves the problem.

To find the files start OpenOffice.org (the affected one of course) and
look at Tools/Options/Paths. There you will find some paths pointing to
your user installation, e.g. the AutoCorrect path pointing to something
like <YourOfficeLocation>/user/autocorr.

You find the script.xlc and dialog.xlc files at <YourOfficeLocation>/
user/basic. Before changing these file exit the Office and also the
Quickstarter if you are using it. Then load script.xlc into a text edi-
tor and remove the line that contain the reference to the library that
is mentioned in the error message, e.g. Webwizard. Do the same with 
dialog.xlc and after restarting the Office the problem should be gone.

If you don't mind loosing your settings you can also remove your user
installation or rename to <YourUserLocation>/user_old. Then a new user
installation will be created that shouldn't have such problems. But as
mention you will have to recover your user settings then and e.g. im-
port Basic libraries from user_old.
Comment 17 bernhard 2008-10-24 13:26:25 UTC
I moved the files from my previous computer containing OOo1.1.5 and a version of
OOo2.x (probably OOo2.0.1) to my new laptop about 2 1/2 years ago. I started
OOo1.1.5 from the laptop once to have a look at the splash screen.
I didn't see this error message until I removed these old files, then two files
from OOo 1.1.1 (not 1.1.5) have been missing:
<myOldOfficeLocation>/ooo-1.1.1/share/basic/WebWizard/script.xlb and 
<myOldOfficeLocation>/ooo-1.1.1/share/basic/WebWizard/dialog.xlb

There are no entries pointing to that old OOo in Tools/Options/Paths.

In <myOOo3Location>/Basis/share/basic/ neither script.xlb nor dialog.xlb contain
any entry with <myOldOfficeLocation/ooo-1.1.1...>, but I found them within my
user data at <myUserData>/OpenOffice.org/3/user/basic/ and removed the lines.

Finally OOo loaded without any problem.

So my conclusion:
- The bug seems to be located in OOo1.1.1 (perhaps still appearing later, since
I updated to every new version)
- the new installation of Basic/Dialog Libraries in OOo3 didn't solve the problem.

If I could provide a script to remove the affected lines from dialog.xlb and
script.xlb I'd write one and attach it to this issue - probably not more than a
few lines to write. 

Perhaps the error box in the startup routine could contain a button "remove this
entry pointing to the missing link" calling the script and automatically editing
the xlb-files. So the error box appears only once.

But in my eyes this topic is not really worth spending much time for it - it
affects only a few user like me having upgraded OOo from OOo1.x to now and
removed the old version afterwards.

So I'd set priority to P4 and status to RESOLVED, with resolution value LATER or
WONTFIX as the workaround is quite easy.

Best regards
Bernhard
Comment 18 bernhard 2008-10-24 14:34:43 UTC
forgot to add myself to CC
Comment 19 tconnors 2008-11-28 15:22:19 UTC
Or users with nfs mounted home directory who work in a heterogeneous network, 
and consequently have an openoffice installation created on a centos 4 machine, 
and then try to start openoffice on a debian machine, which usefully tries to 
migrate the ~/.rhopenoffice1.1 settings over, warts and all.

I ended up having to delete all of .openoffice.org2.0, .openoffice.org2 
and .rhopenoffice1.1 before I could get openoffice to start without bugging me 
about the basic files.

I get the feeling that everytime I start openoffice up on a different machine, 
it's probably going to usefully try to copy settings from one of the other 
directories, which is going to make openoffice even more of a pain to deal with 
compared to usual.
Comment 20 ab 2009-02-24 11:52:15 UTC
*** Issue 56213 has been marked as a duplicate of this issue. ***
Comment 21 michael.ruess 2010-02-24 08:58:20 UTC
*** Issue 91680 has been marked as a duplicate of this issue. ***
Comment 22 michael.ruess 2010-02-24 08:58:55 UTC
*** Issue 104640 has been marked as a duplicate of this issue. ***
Comment 23 michael.ruess 2010-02-24 08:59:42 UTC
*** Issue 109155 has been marked as a duplicate of this issue. ***
Comment 24 cwortz 2010-02-25 02:58:19 UTC
From reading the comments I get the impression that the "experts" think this
only happens to people that upgraded from OOo1.x.  In my case I first loaded
OOo2.1 and just upgraded to OOo3.0 and now am getting these error messages.  So
the problem seems to be in the upgrade process in general.
Comment 25 ab 2010-03-09 12:47:02 UTC
*** Issue 109906 has been marked as a duplicate of this issue. ***
Comment 26 lohmaier 2010-03-18 02:35:55 UTC
*** Issue 91832 has been marked as a duplicate of this issue. ***
Comment 27 lohmaier 2010-03-20 17:54:07 UTC
*** Issue 108694 has been marked as a duplicate of this issue. ***